<?php
/*-------------------------------------------------------+
| Filename: admin.php
| Author: Zbigniew
| Website: https://phpfusion9.pl/  
+--------------------------------------------------------+
| This file allows the editing of quotes from the admin 
| panel, enabling the selection and modification of the 
| appropriate category.
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
$aidlink = fusion_get_aidlink();
if (!checkrights("CTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) 
$jsonFile = 'records.json';
$data = json_decode(file_get_contents($jsonFile), true);
$polishDays = [
    'Monday' => 'Poniedziałek',
    'Tuesday' => 'Wtorek',
    'Wednesday' => 'Środa',
    'Thursday' => 'Czwartek',
    'Friday' => 'Piątek',
    'Saturday' => 'Sobota',
    'Sunday' => 'Niedziela'
];

$successMessage = ''; 

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $day = $_POST['day'];
    $text = $_POST['text'];
    $author = $_POST['author']; 
    $data[$day]['text'] = $text;
    $data[$day]['author'] = $author;    
    file_put_contents($jsonFile, json_encode($data, JSON_PRETTY_PRINT));
    $successMessage = 'Dane zostały pomyślnie zapisane!Jestęś genjalny.'; 
}

$day = isset($_GET['day']) ? $_GET['day'] : 'Monday';
$text = $data[$day]['text'];
$author = $data[$day]['author'];
$polishDay = isset($polishDays[$day]) ? $polishDays[$day] : $day;
?>
<h1>Edycja rekordu dla <?php echo htmlspecialchars($polishDay); ?></h1>    

<?php if ($successMessage): ?>
    <div class="alert alert-success" role="alert">
        <?php echo htmlspecialchars($successMessage); ?>
    </div>
<?php endif; ?>

<form method="get" action="">
    <label for="day">Wybierz dzień:</label>
    <select name="day" id="day" onchange="this.form.submit()">
        <?php foreach (array_keys($data) as $dayOption): ?>
            <option value="<?php echo htmlspecialchars($dayOption); ?>" <?php echo $day === $dayOption ? 'selected' : ''; ?>>
                <?php echo htmlspecialchars($polishDays[$dayOption]); ?>
            </option>
        <?php endforeach; ?>
    </select>
</form>

<form method="post" action="">
    <input type="hidden" name="day" value="<?php echo htmlspecialchars($day); ?>">
    <label for="text">Tekst:</label><br>
    <textarea name="text" id="text" rows="4" cols="50"><?php echo htmlspecialchars($text); ?></textarea><br>
    <label for="author">Autor:</label><br>
    <input type="text" name="author" id="author" value="<?php echo htmlspecialchars($author); ?>"><br><br>
    <input type="submit" class="btn btn-primary" value="Zapisz">

</form>
<br>

<?php require_once THEMES . "templates/footer.php"; ?>
