<?php
$daysOfWeek = [
    'Sunday' => 'Niedziele',
    'Monday' => 'Poniedziałek',
    'Tuesday' => 'Wtorek',
    'Wednesday' => 'Środa',
    'Thursday' => 'Czwartek',
    'Friday' => 'Piątek',
    'Saturday' => 'Sobote'
];

$currentDayEnglish = date('l'); 
$currentDay = $daysOfWeek[$currentDayEnglish];
$jsonFile = INFUSIONS . 'cytat_panel/records.json';
$data = json_decode(file_get_contents($jsonFile), true);

// Sprawdzenie, czy dane zostały poprawnie wczytane
if ($data === null) {
    $data = []; // Ustawienie na pustą tablicę, jeśli nie udało się wczytać danych
}

// Ustalanie cytatu dla bieżącego dnia
if (array_key_exists($currentDayEnglish, $data)) {
    $record = $data[$currentDayEnglish];
} else {
    $record = [
        'text' => 'Brak danych dla tego dnia.',
        'author' => 'Nieznany'
    ];
}

date_default_timezone_set('Europe/Warsaw');
$aktualnaData = date('Y-m-d H:i:s');
?>
<aside class="sidebar">
<?php openside("<div style='color: white; margin: 0; padding: 0; font-weight: bold;'>Cytat na: " . htmlspecialchars($currentDay) . "</div>"); ?>
<div class="list-group-item">
    <p><strong><?php echo $aktualnaData; ?></strong> <?php echo htmlspecialchars($record['text']); ?></p>
    <p><strong>Autor:</strong> <span style="color: green;"><?php echo htmlspecialchars($record['author']); ?></span></p>
</div></div></aside>
