<?php
if (strpos($_SERVER['REQUEST_URI'], '.php') !== false) {
    // Przekierowanie do URL bez rozszerzenia
    $redirect_url = str_replace('.php', '', $_SERVER['REQUEST_URI']);
    header("Location: $redirect_url", true, 301);
    exit();
}
require_once __DIR__.'/../maincore.php';
require_once THEMES.'templates/header.php';
add_to_title('Pszysłowia ' . htmlspecialchars(date('l')));

// Tablica mapująca angielskie dni tygodnia na polskie
$daysOfWeek = [
    'Sunday' => 'Niedziele',
    'Monday' => 'Poniedziałek',
    'Tuesday' => 'Wtorek',
    'Wednesday' => 'Środa',
    'Thursday' => 'Czwartek',
    'Friday' => 'Piątek',
    'Saturday' => 'Sobote'
];
$currentDayEnglish = date('l'); 
$currentDay = $daysOfWeek[$currentDayEnglish];
$jsonFile = 'records.json';
$data = json_decode(file_get_contents($jsonFile), true);
if (array_key_exists($currentDayEnglish, $data)) {
    $record = $data[$currentDayEnglish];
} else {
    $record = [
        'text' => 'Brak danych dla tego dnia.',
        'author' => 'Nieznany'
    ];
}
// Ustawienie strefy czasowej
date_default_timezone_set('Europe/Warsaw');
$aktualnaData = date('Y-m-d H:i:s');
?>

<?php openside("<h3 style='color: white; margin: 0; padding: 0;'>Cytat na: " . htmlspecialchars($currentDay) . "</h3>"); ?>
<div class="list-group-item">
    <p><strong><?php echo $aktualnaData; ?></strong> <?php echo htmlspecialchars($record['text']); ?></p>
    <p><strong>Autor:</strong> <?php echo htmlspecialchars($record['author']); ?></p>
    <?php
    // Wyświetlenie cytatu
    echo htmlspecialchars($quotesdata['quotes']);
    ?>
</div></div>
<?php require_once THEMES . "templates/footera.php"; ?>